/*global define*/

define([
    'testsuite/qunit',
    'jquery',
    'de_epages/externalcontent/gadgetdialog/translation-view',

    '$ready!'
], function (QUnit, $, TranslationView) {
    'use strict';

    QUnit.module('de_epages/externalcontent/gadgetdialog/translation-view', {
        setup: function () {
            var translation = new TranslationView();
            $('#qunit-fixture').append(translation.render().el);
        },
        teardown: function () {}
    });

    QUnit.test('Test translation view', 4, function () {
        QUnit.strictEqual(
            $('form').length,
            1,
            'Create translation view'
        );

        var options = $('select option');

        QUnit.strictEqual(
            options.length,
            2,
            'There are to options to select'
        );

        QUnit.strictEqual(
            options[0].value,
            'google',
            'First option is google translate'
        );

        QUnit.strictEqual(
            options[1].value,
            'microsoft',
            'Second option is microsoft translater'
        );

    });

});